###############################################################################
## This Makefile generates the GALFRMFL.DLL for Forms-to-file capabilities   ##
###############################################################################

!include GALICO.IMK

galfrmfl.dll: \
     galfrmfl.h                                                            \
     formfile.obj                                                          \
     $(MBBS)\dlib\galwebd.lib                                              \
     $(MBBS)\dlib\galimp.lib       $(MBBS)\dlib\gsblimp.lib                \
     $(PHARLAP)\bc4\lib\phapi.lib
     $(LINK) galfrmfl

###############################################################################
#####                 Build Objects For GALFRMFL DLL                      #####
###############################################################################

formfile.obj: formfile.c
     $(COMPILE) formfile

$(MBBS)\dlib\galwebd.lib: galwebd.def
     cd $(MBBS)\dlib
     imp galwebd
     cd $(MBBS)\src

###############################################################################
#####               Generate Headers for Compilation                      #####
###############################################################################

galfrmfl.h: galfrmfl.msg
     cd $(MBBS)
     wgsmsx galfrmfl -osrc
     cd $(MBBS)\src

